const path = require("path");
const HtmlWebpackPlugin = require("html-webpack-plugin");
const { merge } = require("webpack-merge");
const common = require("./webpack.common.js");

module.exports = merge(common, {
  mode: "development",
  devtool: "inline-source-map",
  devServer: {
    proxy:[
      {
        context: ["/api"],
        target:"http://localhost:3000",
        changOrigin: true,
      },
    ],
    historyApiFallback: true },
});
